Groovy Documentation

## Package org.codehaus.groovy.grails.web.json

Interface Summary
JSONElement | Base interface for all valid JSON Elements

Class Summary
JSONArray | A JSONArray is an ordered sequence of values.
JSONObject | A JSONObject is an unordered collection of name/value pairs.
JSONTokener | A JSONTokener takes a source string and extracts characters and tokens from it.
JSONWriter | JSONWriter provides a quick and convenient way of producing JSON text.
PathCapturingJSONWriterWrapper | TODO Proof of concept Should capture the JSON Path to the current element
PrettyPrintJSONWriter | A JSONWriter dedicated to create indented/pretty printed output.

Enum Summary
JSONWriter.Mode | Enumeration of the possible modes of the JSONWriter

Exception Summary
JSONException | The JSONException is thrown by the JSON.org classes then things are amiss.

Groovy Documentation